.container {
  display: flex;
  flex-direction: column;
  max-width: 1320px;
  width: 100%;
  margin: auto;
  box-sizing: border-box;
}

section {
  display: flex;
  flex-direction: column;
  margin-bottom: 3rem;
}

.category-upper {
  display: flex;
  width: 100%;
  justify-content: space-between;
}

.view-all {
  cursor: pointer;
  color: #748899;
  text-decoration: none;
}

.view-all:hover {
  color: #c9d7e3;
}

.category-grid {
  display: grid;
  gap: 1rem 1rem;
  grid-template-columns: repeat(auto-fit, 185px);
  box-sizing: border-box;
  justify-content: space-between;
}

img {
  border-radius: 2%;
  width: 185px;
  height: 265px;
  object-fit: cover;
}

.card {
  cursor: pointer;
}

.last-category {
  display: grid;
  gap: 1rem 1rem;
  grid-template-columns: 1fr;
}

.last-category-cards {
  display: flex;
  flex-direction: row;
  align-items: center;
  width: 100%;
}

.rank {
  flex: 0 0 10%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  span {
    color: #4b5b6b;
    font-size: 24px;
    font-weight: 900;
  }
}

.long-card {
  display: flex;
  flex-direction: row;
  background: #151f2e;
  padding: 1rem;
  box-sizing: border-box;
  border-radius: 2px;
  flex: 0 0 90%;
  color: #ffffff;
  cursor: pointer;
}

.cover {
  border-radius: 2px;
  overflow: hidden;
  position: relative;
}

.cover-image {
  height: 100%;
  object-fit: cover;
  transition: opacity 0.3s ease-in-out;
  width: 100%;
}

.content {
  display: flex;
  width: 100%;
}

.row {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.content .row-title {
  padding: 1rem;
  flex: 0 0 50%;
}

.english-title {
  font-style: italic;
  font-size: 12px;
  font-weight: 400;
}

.content .row-title > * {
  margin: 5px;
}

.content .row-score {
  flex: 0 0 15%;
  flex-direction: row;
  align-self: center;

  mat-icon {
    margin-right: 0.5rem;
  }

  .score-column {
    display: flex;
    flex-direction: column;
  }
}

.content .row-format {
  flex: 0 0 15%;
}

.content .row-date {
  flex: 0 0 20%;
}

.genre {
  margin-right: 1rem;
}

.title {
  font-size: 14px;
  font-weight: 500;
  line-height: 21px;
  margin-top: 10px;
  z-index: 5;
  position: relative;
  text-decoration: none;
}

@media (min-width: 769px) and (max-width: 1024px) {
  .container {
    max-width: 769px;
  }

  .category-grid {
    gap: 0.5rem;
    grid-template-columns: repeat(auto-fit, 185px);
  }
}

@media (min-width: 426px) and (max-width: 768px) {
  .container {
    max-width: 426px;
  }

  .category-grid {
    gap: 0.5rem;
    grid-template-columns: repeat(auto-fit, 120px);
    justify-content: space-evenly;
  }

  img {
    width: 120px;
    height: 180px;
  }
}

@media (min-width: 375px) and (max-width: 425px) {
  .container {
    max-width: 360px;
    width: 100%;
  }

  .category-grid {
    grid-template-columns: repeat(auto-fit, 170px);
    gap: 10px;
    justify-content: center;
  }

  img {
    width: 170px;
    height: 220px;
  }
}

@media (min-width: 321px) and (max-width: 374px) {
  .container {
    max-width: 310px;
    width: 100%;
  }

  .category-grid {
    grid-template-columns: repeat(auto-fit, 150px);
    gap: 10px;
    justify-content: center;
  }

  img {
    width: 150px;
    height: 200px;
  }

  h1 {
    font-size: 1rem;
  }
}

@media (max-width: 320px) {
  .container {
    max-width: 300px;
  }

  .category-grid {
    grid-template-columns: repeat(auto-fit, 140px);
    gap: 10px;
    justify-content: center;
  }

  img {
    width: 140px;
    height: 200px;
  }

  h1 {
    font-size: 1rem;
  }
}
